{#
/**
 * @file
 * Theme override for a progress bar.
 *
 * Note that the core Batch API uses this only for non-JavaScript batch jobs.
 *
 * Available variables:
 * - label: The label of the working task.
 * - percent: The percentage of the progress.
 * - message: A string containing information to be displayed.
 */
#}
{{ attach_library('cu_starterkit_theme/progress') }}
<div class="progress" data-drupal-progress>
  {% if label %}
    <div class="progress__label">{{ label }}</div>
  {% endif %}
  {#  <div class="progress__track">#}
  <div class="progress-bar progress-bar-striped" role="progressbar" style="width: {{ percent }}%" aria-valuenow="{{ percent }}" aria-valuemin="0" aria-valuemax="100"></div>
  {#  </div>#}
  {#  <div class="progress__percentage">{{ percent }}%</div>#}
  <div class="progress__description">{{ message }}</div>
</div>
